# MatSetColoring

Sets a coloring used by calls to MatSetValuesAdic()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetColoring(Mat mat,ISColoring coloring)

Not Collective

### Input Parameters

| mat | - the matrix
| coloring | - the coloring

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
MatSetValues(), MatSetValuesAdic()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex5f.F.html